%define upstream_name    Math-ModInt
%define upstream_version 0.013

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Solving simultaneous integer congruences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Math::BigInt) >= 1.991.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildArch:  noarch

%description
Math::ModInt provides overloaded operators for modular integer arithmetic.
Math::ModInt objects represent integer residue classes. These objects can
be used in arithmetic expressions just like Perl numbers. Math::ModInt
objects are immutable. Mutators like '+=' will replace an object rather
than change its state.

In mixed expressions with Math::ModInt objects and ordinary numbers the
numbers are interpreted as their residue class modulo the modulus of the
rest of the expression. Different moduli must not be mixed, though.

There are different implementations, optimized for moduli of a particular
size or using a particular math library. The base module will transparently
choose a suitable back-end whenever a constructor is called.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.13.0-3.mga10
+ Revision: 2207012
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.13.0-2.mga9
+ Revision: 1814329
- Mageia 9 Mass Rebuild

* Sun Apr 04 2021 tv <tv> 0.13.0-1.mga9
+ Revision: 1713150
- update to 0.013

* Tue Feb 18 2020 umeabot <umeabot> 0.12.0-2.mga8
+ Revision: 1539207
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Dec 01 2019 tv <tv> 0.12.0-1.mga8
+ Revision: 1463912
- update to 0.012

* Wed Sep 19 2018 umeabot <umeabot> 0.11.0-4.mga7
+ Revision: 1269236
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.11.0-3.mga6
+ Revision: 1029692
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.11.0-2.mga6
+ Revision: 965664
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 shlomif <shlomif> 0.11.0-1.mga6
+ Revision: 836747
- imported package perl-Math-ModInt


* Sat Jun 20 2015 cpan2dist 0.011-1mga
- initial mageia release, generated with cpan2dist
